# Class GridBagConstraints

java.lang.Object
org.jmol.awtjs.swing.GridBagConstraints

public class GridBagConstraints extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`anchor`
`static final int`
`CENTER`
`static final int`
`EAST`
`int`
`fill`
`int`
`gridheight`
`int`
`gridwidth`
`int`
`gridx`
`int`
`gridy`
`int`
`ipadx`
`int`
`ipady`
`static final int`
`NONE`
`static final int`
`WEST`

## Constructor Summary

Constructors
Constructor
Description
`GridBagConstraints(int gridx, int gridy, int gridwidth, int gridheight, double weightx, double weighty, int anchor, int fill, Insets insets, int ipadx, int ipady)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NONE

public static final int NONE

See Also:
  - Constant Field Values

### CENTER

public static final int CENTER

See Also:
  - Constant Field Values

### WEST

public static final int WEST

See Also:
  - Constant Field Values

### EAST

public static final int EAST

See Also:
  - Constant Field Values

### gridx

public int gridx

### gridy

public int gridy

### gridwidth

public int gridwidth

### gridheight

public int gridheight

### anchor

public int anchor

### fill

public int fill

### ipadx

public int ipadx

### ipady

public int ipady

## Constructor Details

### GridBagConstraints

public GridBagConstraints(int gridx, int gridy, int gridwidth, int gridheight, double weightx, double weighty, int anchor, int fill, Insets insets, int ipadx, int ipady)